GCLOUD_SQL_CONNECT(1)

NAME

gcloud sql connect - connects to a Cloud SQL instance

SYNOPSIS

gcloud sql connect INSTANCE [--user=USER, -u USER] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
Connects to a Cloud SQL instance.

POSITIONAL ARGUMENTS

    INSTANCE
        Cloud SQL instance ID.

FLAGS

    --user=USER, -u USER
        Cloud SQL instance user to connect as.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.

EXAMPLES
To connect to a Cloud SQL instance, run:
    $ gcloud sql connect my-instance --user=root